package com.kingdee.eas.custom.bd.param;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.custom.bd.param.app.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.shr.base.syssetting.SHRBaseItem;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.shr.base.syssetting.ISHRBaseItem;

public class Param extends SHRBaseItem implements IParam
{
    public Param()
    {
        super();
        registerInterface(IParam.class, this);
    }
    public Param(Context ctx)
    {
        super(ctx);
        registerInterface(IParam.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("1C90B28B");
    }
    private ParamController getController() throws BOSException
    {
        return (ParamController)getBizController();
    }
    /**
     *getValue-System defined method
     *@param pk pk
     *@return
     */
    public ParamInfo getParamInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getParamInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *getValue-System defined method
     *@param pk pk
     *@param selector selector
     *@return
     */
    public ParamInfo getParamInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getParamInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *getValue-System defined method
     *@param oql oql
     *@return
     */
    public ParamInfo getParamInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getParamInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *getCollection-System defined method
     *@return
     */
    public ParamCollection getParamCollection() throws BOSException
    {
        try {
            return getController().getParamCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *getCollection-System defined method
     *@param view view
     *@return
     */
    public ParamCollection getParamCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getParamCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *getCollection-System defined method
     *@param oql oql
     *@return
     */
    public ParamCollection getParamCollection(String oql) throws BOSException
    {
        try {
            return getController().getParamCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}